const test = require('tape')
const Server = require('./testbot')

test('init + shutdown', t => {
  const server = Server()

  t.deepEqual(
    Object.keys(server.hyperBlobs),
    ['add', 'driveAddress', 'registerDrive'],
    'has hyperBlobs methods'
  )

  server.hyperBlobs.driveAddress((_, address) => {
    t.true(address.length > 0, 'has driveAddress')
    console.log(address)

    server.close(err => {
      t.error(err, 'shuts down well')
      t.end()
    })
  })
})
